Subject: Re: [PATCH 2/4] Hash tags by commit SHA1 in git-describe.

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 14 Jan 2007 18:19:37 -0500

Junio C Hamano <[email-masked]> wrote:
> Johannes Schindelin <[email-masked]> writes:
> 
> > On Sat, 13 Jan 2007, Shawn O. Pearce wrote:
> >
> >> If a project has a very large number of tags then git-describe
> >> will spend a good part of its time looping over the tags testing
> >> them one at a time to determine if it matches a given commit.
> >
> > Why not just use object_refs? This also obviates the need for your patch 
> > 3/4, since you no longer have buckets to search binarily. Plus, it uses a 
> > hash map, which already turned out to beat (in terms of performance) the 
> > hell out of bucketed lists in git history.
> 
> Very good point.

OK. I didn't realize we had a better system already implemented.
Thanks for pointing it out.

I'll work up a patch to replace the crude hash/list arrangement
with something based on object_refs instead.

-- 
Shawn.